load('/model/erro/admErroPdvVdIntegracoes.js');
var importador = mapperFactory.createMapper("Importador");
var i = 0;
var obj = message.get("obj");

try {
	importador.insert("excluirPdvVd",obj);

	var gravaErro         = new AdmErroIntegracoes();
	var jsonConvert       = new com.google.gson.GsonBuilder().create();
	var metodo            = 'PUT';
	var msgErro           = {};
	msgErro.cdVd          = obj.get("cdVd");
	msgErro.nrEcf         = obj.get("nrEcf");
	msgErro.cdFilial      = obj.get("cdFilial");
	msgErro.cdCx          = obj.get("cdCx");
	msgErro.stsErro       = 4;// reprocessado
	msgErro.cdUsuCorrecao = 1;
	msgErro.laudo         = ('Cupom fiscal excluido para reprocessamento');
	gravaErro.gerenciaErro(metodo,msgErro);

	importador.commit();
}catch(err) {
    java.lang.System.out.println(err);
    importador.rollback();
    throw " Ocorreu um erro: " + err;
}
